<?php

declare(strict_types=1);

namespace Drupal\Tests\entity_lru_cache\Kernel;

use Drupal\Core\Cache\MemoryCache\MemoryCache;
use Drupal\entity_lru_cache\LruMemoryCache;
use Drupal\KernelTests\KernelTestBase;

/**
 * @group entity_lru_cache
 */
class ServiceTest extends KernelTestBase {

  /**
   * Tests the revision history controller.
   */
  public function testService(): void {
    $this->assertInstanceOf(MemoryCache::class, $this->container->get('entity.memory_cache'));
    $this->enableModules(['entity_lru_cache']);
    $this->assertInstanceOf(LruMemoryCache::class, $this->container->get('entity.memory_cache'));
  }

}
